Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.rdl
Enum Expression.Phase

    java.lang.Object
      java.lang.Enum<Expression.Phase>
          rdlc.rdl.Expression.Phase

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Expression.Phase>

Enclosing interface:
  Expression

    public static enum Expression.Phase

extends java.lang.Enum<Expression.Phase>

Enumeration of the phases of resolution.

Version:
  $Revision: 1.13 $
Author:
  Greg Gibeling

Enum Constant Summary
`Complete`
`None`
`Partial`

Method Summary
`static Expression.Phase` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Expression.Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final Expression.Phase None

### Partial

    public static final Expression.Phase Partial

### Complete

    public static final Expression.Phase Complete

Method Detail

### values

    public static final Expression.Phase[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Expression.Phase c : Expression.Phase.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Expression.Phase valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD